Subject: [Oletrucks] Seattle area resto shop recommendations

From: tim lloyd <[email-masked]>
Date: Mon, 29 Apr 2013 17:21:51 -0700

I know there are a few fellow Seattle-area folks on this list; any of you
all have recommendations for a restoration shop around Seattle/Tacoma?  Not
looking for anything fancy - my '54 Chevy pickup just needs a day or two of
solid work on the alternator and ignition system to get back on the road.
 (And sadly I don't have a day or two to devote to the old girl at the
moment.)

-Tim
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive